import {
  useChip
} from "./chunk-UQE75RLO.mjs";

// src/chip.tsx
import { forwardRef } from "@nextui-org/system";
import { CloseFilledIcon } from "@nextui-org/shared-icons";
import { useMemo } from "react";
import { jsx, jsxs } from "react/jsx-runtime";
var Chip = forwardRef((props, ref) => {
  const {
    Component,
    children,
    slots,
    styles,
    isDot,
    isCloseable,
    leftContent,
    rightContent,
    getCloseButtonProps,
    getChipProps
  } = useChip({
    ref,
    ...props
  });
  const left = useMemo(() => {
    if (isDot && !leftContent) {
      return /* @__PURE__ */ jsx("span", { className: slots.dot({ class: styles == null ? void 0 : styles.dot }) });
    }
    return leftContent;
  }, [slots, leftContent, isDot]);
  const right = useMemo(() => {
    if (isCloseable) {
      return /* @__PURE__ */ jsx("span", { ...getCloseButtonProps(), children: !rightContent ? /* @__PURE__ */ jsx(CloseFilledIcon, {}) : rightContent });
    }
    return rightContent;
  }, [rightContent, isCloseable, getCloseButtonProps]);
  return /* @__PURE__ */ jsxs(Component, { ...getChipProps(), children: [
    left,
    /* @__PURE__ */ jsx("span", { className: slots.content({ class: styles == null ? void 0 : styles.content }), children }),
    right
  ] });
});
Chip.displayName = "NextUI.Chip";
var chip_default = Chip;

export {
  chip_default
};
